<?php
# ***** BEGIN LICENSE BLOCK *****
#
#  	M  I  N  I  M  A  L         G  R  E  Y
#  	Theme by JibHaine (www.jibhaine.fr)
#   Icones by Fam Fam Fam (www.famfamfam.com)
#		Adapted from Black Minimalism theme (http://cinexl.net/blog/?p=63)
#
# ***** END LICENSE BLOCK *****
if (!defined('DC_RC_PATH')) { return; }

l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/main');

$core->addBehavior('publicHeadContent','minimalgreystyle_publicHeadContent');

function minimalgreystyle_publicHeadContent($core)
{
	$style = $core->blog->settings->themes->minimalgreystyle_style;
	if (!preg_match('/^color_blue|color_orange|color_pink|color_purple|color_red|color_green/',$style)) {
		$style = 'color_green';
	}

	$url = $core->blog->settings->themes_url.'/'.$core->blog->settings->theme;
	echo '<link rel="stylesheet" type="text/css" media="screen" href="'.$url."/".$style.".css\" />\n";
}

$core->addBehavior('publicHeadContent','minimalgreysidebar_publicHeadContent');

function minimalgreysidebar_publicHeadContent($core)
{
	$style = $core->blog->settings->themes->minimalgreysidebar_style;
	if (!preg_match('/^sp|nosp$/',$style)) {
		$style = 'nosp';
	}

	$url = $core->blog->settings->themes_url.'/'.$core->blog->settings->theme;
	echo '<link rel="stylesheet" type="text/css" media="screen" href="'.$url."/".$style.".css\" />\n";
}
?>
